#
CC=		/bin/cc
CFLAGS_mips=	-Ae -z +w1 -g +DA1.1 +DS1.1
PROGS=          mipstest
PFLAGS=		-g
PRINT=          lp
PRINTFILES=     mipstest.c asmloops.asm getcr.asm

default_target=	all

all: $(MODULES)  $(PROGS)

asmloops.o:	asmloops.asm
	as -w41 asmloops.asm -o asmloops.o

getcr.o:	getcr.asm
	as -w41 getcr.asm -o getcr.o

mipstest.o:	mipstest.c
	$(CC) $(CFLAGS_mips) -DHPUX -c mipstest.c

mipstest:	mipstest.o getcr.o asmloops.o
	$(CC) mipstest.o getcr.o asmloops.o -o mipstest

clean:
	rm -f $(PROGS)

print:
	$(PRINT) $(PRINTFILES)
